# AnnotationProcessorResult

interface AnnotationProcessorResult

The results of an annotation processor used during compilation.

#### Since

5.1

## Types

Type
Link copied to clipboard
enum Type
Type of annotation processor.

## Functions

getClassName
Link copied to clipboard
abstract fun getClassName(): String
Returns the fully-qualified class name of this annotation processor.
getDuration
Link copied to clipboard
abstract fun getDuration(): Duration
Returns the total execution time of this annotation processor.
getType
Link copied to clipboard
abstract fun getType(): JavaCompileTaskOperationResult.AnnotationProcessorResult.Type
Returns the type of this annotation processor.